package projectabarrotes.Mapeos;
// Generated 27/10/2014 08:16:01 AM by Hibernate Tools 4.3.1



/**
 * Pedido generated by hbm2java
 */
public class Pedido  implements java.io.Serializable {


     private Integer idPedido;
     private Cliente cliente;
     private String fecha;
     private String observaciones;
     private String edoPedido;
     private int idCliente;
     private Paquete paquete;
     private Inventario inventario;

    public Pedido() {
    }

	
    public Pedido(Cliente cliente, String observaciones, int idCliente) {
        this.cliente = cliente;
        this.observaciones = observaciones;
        this.idCliente = idCliente;
    }
    public Pedido(Cliente cliente, String fecha, String observaciones, String edoPedido, int idCliente, Paquete paquete, Inventario inventario) {
       this.cliente = cliente;
       this.fecha = fecha;
       this.observaciones = observaciones;
       this.edoPedido = edoPedido;
       this.idCliente = idCliente;
       this.paquete = paquete;
       this.inventario = inventario;
    }
   
    public Integer getIdPedido() {
        return this.idPedido;
    }
    
    public void setIdPedido(Integer idPedido) {
        this.idPedido = idPedido;
    }
    public Cliente getCliente() {
        return this.cliente;
    }
    
    public void setCliente(Cliente cliente) {
        this.cliente = cliente;
    }
    public String getFecha() {
        return this.fecha;
    }
    
    public void setFecha(String fecha) {
        this.fecha = fecha;
    }
    public String getObservaciones() {
        return this.observaciones;
    }
    
    public void setObservaciones(String observaciones) {
        this.observaciones = observaciones;
    }
    public String getEdoPedido() {
        return this.edoPedido;
    }
    
    public void setEdoPedido(String edoPedido) {
        this.edoPedido = edoPedido;
    }
    public int getIdCliente() {
        return this.idCliente;
    }
    
    public void setIdCliente(int idCliente) {
        this.idCliente = idCliente;
    }
    public Paquete getPaquete() {
        return this.paquete;
    }
    
    public void setPaquete(Paquete paquete) {
        this.paquete = paquete;
    }
    public Inventario getInventario() {
        return this.inventario;
    }
    
    public void setInventario(Inventario inventario) {
        this.inventario = inventario;
    }




}


